Bug 47656 - [GTK] Needs fixing mistyped comments in the API documentation
Summary: [GTK] Needs fixing mistyped comments in the API documentation
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-13 23:48 PDT by Joone Hur
Modified: 2010-10-19 01:17 PDT (History)
4 users (show)

See Also:


Attachments
Proposed Patch1 (2.06 KB, patch)
2010-10-14 00:35 PDT, Joone Hur
gns: review-
Details | Formatted Diff | Diff
Proposed Patch2 (2.34 KB, patch)
2010-10-14 19:48 PDT, Joone Hur
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joone Hur 2010-10-13 23:48:01 PDT
There are mistyped comments in webkitwebsettings.cpp and webkitwebwindowfeatures.cpp
Comment 1 Joone Hur 2010-10-14 00:35:09 PDT
Created attachment 70717 [details]
Proposed Patch1
Comment 2 Gustavo Noronha (kov) 2010-10-14 07:21:47 PDT
Comment on attachment 70717 [details]
Proposed Patch1

View in context: https://bugs.webkit.org/attachment.cgi?id=70717&action=review

> WebKit/gtk/webkit/webkitwebsettings.cpp:49
> - * the to be used text encoding, color, font sizes, printing mode,
> + * the behaviour to be used text encoding, color, font sizes, printing mode,

This change looks wrong. The grammar is a bit weird the way it is now, but not sure it's wrong - would be good to have input from a native English speaker =D
Comment 3 Xan Lopez 2010-10-14 08:01:40 PDT
(In reply to comment #2)
> This change looks wrong. The grammar is a bit weird the way it is now, but not sure it's wrong - would be good to have input from a native English speaker =D

Looks wrong indeed. I'd just do s/the to be used/its/ in the original text. But I agree with having Martin just put there something ;)
Comment 4 Joone Hur 2010-10-14 08:26:31 PDT
(In reply to comment #2)
> (From update of attachment 70717 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=70717&action=review
> 
> > WebKit/gtk/webkit/webkitwebsettings.cpp:49
> > - * the to be used text encoding, color, font sizes, printing mode,
> > + * the behaviour to be used text encoding, color, font sizes, printing mode,
> 
> This change looks wrong. The grammar is a bit weird the way it is now, but not sure it's wrong - would be good to have input from a native English speaker =D

How about this?

#WebKitWebSettings can be applied to a #WebKitWebView to control the behaviour to be used, text encoding, color, font sizes, printing mode, script support, loading of images and various other things.
Comment 5 Martin Robinson 2010-10-14 08:38:55 PDT
Here's my suggestion:

(old)
WebKitWebSettings can be applied to a WebKitWebView to control the to be used text encoding, color, font sizes, printing mode, script support, loading of images and various other things.

(new)
WebKitWebSettings can be applied to a WebKitWebView to control text encoding, color, font sizes, printing mode, script support, loading of images and various other things. After creation, a WebKitWebSettings object contains default settings.
Comment 6 Joone Hur 2010-10-14 19:48:19 PDT
Created attachment 70822 [details]
Proposed Patch2

Thanks, Martin. I applied your suggestion to the patch.
Comment 7 Martin Robinson 2010-10-14 22:44:41 PDT
Thanks!
Comment 8 WebKit Commit Bot 2010-10-19 01:17:33 PDT
Comment on attachment 70822 [details]
Proposed Patch2

Clearing flags on attachment: 70822

Committed r70036: <http://trac.webkit.org/changeset/70036>
Comment 9 WebKit Commit Bot 2010-10-19 01:17:39 PDT
All reviewed patches have been landed.  Closing bug.